---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab repo list`

Get list of repositories.

```plaintext
glab repo list [flags]
```

## Aliases

```plaintext
ls
```

## Examples

```plaintext
glab repo list

```

## Options

```plaintext
  -a, --all             List all projects on the instance
  -g, --group string    Return only repositories in the given group and its subgroups
      --member          Only list projects which you are a member
  -m, --mine            Only list projects you own (default if no filters are passed)
  -o, --order string    Return repositories ordered by id, created_at, or other fields (default "last_activity_at")
  -F, --output string   Format output as: text, json (default "text")
  -p, --page int        Page number (default 1)
  -P, --per-page int    Number of items to list per page (default 30)
  -s, --sort string     Return repositories sorted in asc or desc order
      --starred         Only list starred projects
```

## Options inherited from parent commands

```plaintext
      --help   Show help for command
```
